﻿using Gallery.Services;
using Xamarin.Forms;

namespace Gallery.Resources.Theme
{
    public class DarkTheme : Theme
    {
        private static DarkTheme instance;
        public static DarkTheme Instance
        {
            get
            {
                if (instance == null)
                {
                    instance = new DarkTheme();
                }
                return instance;
            }
        }

        public DarkTheme()
        {
            InitColors();
            InitResources();
        }

        private void InitColors()
        {
            Add(StatusBarStyle, StatusBarStyles.WhiteText);
            Add(WindowColor, Color.Black);
            Add(TintColor, Color.FromRgb(0x94, 0x95, 0x9a));
            Add(TextColor, Color.White);
            Add(SubTextColor, Color.LightGray);
            Add(CardBackgroundColor, Color.FromRgb(0x33, 0x33, 0x33));
            Add(NavigationColor, Color.FromRgb(0x11, 0x11, 0x11));
            Add(NavigationSelectedColor, Color.FromRgb(0x22, 0x22, 0x22));
            Add(OptionBackColor, Color.Black);
            Add(OptionTintColor, Color.FromRgb(0x11, 0x11, 0x11));

        }
    }
}
